websocket-sharp : WebSocketSharp.Net Namespace

# AuthenticationSchemeSelector Delegate

Selects the authentication scheme for a WebSocketSharp.Net.HttpListener instance.

## Syntax

public delegate AuthenticationSchemes AuthenticationSchemeSelector (HttpListenerRequest httpRequest)

#### Parameters

> httpRequest
>   A WebSocketSharp.Net.HttpListenerRequest that contains a client request information.

#### Returns

> One of the WebSocketSharp.Net.AuthenticationSchemes values that indicates the scheme used to authenticate the specified client request.

## Remarks

Documentation for this section has not yet been entered.

## Requirements

Namespace: WebSocketSharp.Net
Assembly: websocket-sharp (in websocket-sharp.dll)